| Orthanc Plugin SDK 1.3.0 Documentation of the plugin interface of Orthanc

Public Member Functions | List of all members
OrthancPlugins::DatabaseBackendOutput Class Reference
Callbacks
Inheritance diagram for OrthancPlugins::DatabaseBackendOutput:

## Public Member Functions
| DatabaseBackendOutput (OrthancPluginContext *context, OrthancPluginDatabaseContext *database)
OrthancPluginContext * | GetContext ()
void | LogError (const std::string &message)
void | LogWarning (const std::string &message)
void | LogInfo (const std::string &message)
void | SignalDeletedAttachment (const std::string &uuid, int32_t contentType, uint64_t uncompressedSize, const std::string &uncompressedHash, int32_t compressionType, uint64_t compressedSize, const std::string &compressedHash)
void | SignalDeletedResource (const std::string &publicId, OrthancPluginResourceType resourceType)
void | SignalRemainingAncestor (const std::string &ancestorId, OrthancPluginResourceType ancestorType)
void | AnswerAttachment (const std::string &uuid, int32_t contentType, uint64_t uncompressedSize, const std::string &uncompressedHash, int32_t compressionType, uint64_t compressedSize, const std::string &compressedHash)
void | AnswerChange (int64_t seq, int32_t changeType, OrthancPluginResourceType resourceType, const std::string &publicId, const std::string &date)
void | AnswerDicomTag (uint16_t group, uint16_t element, const std::string &value)
void | AnswerExportedResource (int64_t seq, OrthancPluginResourceType resourceType, const std::string &publicId, const std::string &modality, const std::string &date, const std::string &patientId, const std::string &studyInstanceUid, const std::string &seriesInstanceUid, const std::string &sopInstanceUid)

The documentation for this class was generated from the following file:

- OrthancCppDatabasePlugin.h